var sectionCollapse = function(){

    // start configuration - edit here 
    var config = {
        JSavailableClass:'js',
        showClass:'show',
        tocID:'toc'
    }
    // end configuration

    document.body.className = (document.body.className +' '||'') + config.JSavailableClass;
    var toc = document.getElementById(config.tocID);
    if(toc){
        var current = {};
        function toggle(e){
            var t = e.target;
            if(t.nodeName.toLowerCase() === 'a'){
                if(current.section){
                    current.section.className = '';
                };
                var sectionID = t.getAttribute('href').split('#')[1];
                var section = document.getElementById(sectionID);
                if(section){
                    section.parentNode.className =  config.showClass;
                    current.section = section.parentNode;
                };
            };
        };
        toc.addEventListener('click',toggle,false);
    };
}();
